Get a links library item by ID
https://{kibana_url}
- GET /api/links/{id}
Returns the complete state of a links library item by ID.
Path Parameters
-
idstring · max: 250required -
The unique ID of the links library item, as returned by the create or search endpoints.
Responses
success
-
dataobjectrequired -
descriptionstring -
linksoneOf · max: 100required -
The list of links to display.
-
destinationstringrequired -
Linked dashboard saved object ID.
-
labelstring -
The label of the link displayed in the UI.
-
optionsobject · default: { "open_in_new_tab": false, "use_filters": true, "use_time_range": true } -
open_in_new_tabboolean · default: false -
When enabled, the dashboard opens in a new browser tab.
-
use_filtersboolean · default: true -
When enabled, filters are passed to the opening dashboard.
-
use_time_rangeboolean · default: true -
When enabled, time range is passed to the opening dashboard.
-
typerequired -
Values:
dashboardLink -
destinationstringrequired -
The external URL to link to.
-
labelstring -
The label of the link displayed in the UI.
-
optionsobject · default: { "encode_url": true, "open_in_new_tab": true } -
encode_urlboolean · default: true -
Whether to escape the URL with percent encoding
-
open_in_new_tabboolean · default: true -
Whether to open this link in a new tab when clicked.
-
typerequired -
Values:
externalLink -
Tag IDs associated with this library item.
-
titlestringrequired -
idstring · max: 250required -
The unique ID of the links library item, as returned by the create or search endpoints.
-
metarequired -
created_atstring -
Timestamp when the object was created (ISO 8601).
-
created_bystring -
User profile ID of the user who created the object.
-
managedboolean -
When
true, the object is managed by Kibana and cannot be edited by users. -
ownerstring -
Identifier of the plugin or team that owns this object.
-
updated_atstring -
Timestamp when the object was last updated (ISO 8601).
-
updated_bystring -
User profile ID of the user who last updated the object.
-
versionstring -
Internal version identifier for optimistic concurrency control.
Link type. Set to dashboardLink for a link to another dashboard.
Link type. Set to externalLink for a URL outside Kibana.
forbidden
A links library item with the given ID was not found.